__gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware > Class Template Reference

Inherits _SafeBase< _SafeContainer >.

## Public Member Functions

void | _M_swap (_Safe_container &__x) noexcept
_Safe_container & | operator= (_Safe_container &&__x) noexcept
_Safe_container & | operator= (const _Safe_container &) noexcept

## Protected Member Functions

| _Safe_container (_Safe_container &&)=default
| _Safe_container (_Safe_container &&__x, const _Alloc &__a)
| _Safe_container (const _Safe_container &)=default
_Safe_container & | _M_safe () noexcept

## Detailed Description

### template<typename _SafeContainer, typename _Alloc, template< typename > class _SafeBase, bool _IsCxx11AllocatorAware = true>
class __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >

Safe class dealing with some allocator dependent operations.

Definition at line 41 of file safe_container.h.

The documentation for this class was generated from the following file:

- safe_container.h